SDL_platform.h File Reference
`#include <SDL3/SDL_platform_defines.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_platform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

const char * | SDL_GetPlatform (void)

## Function Documentation

## SDL_GetPlatform()

const char * SDL_GetPlatform | ( | void |  | ) |

extern

# CategoryPlatform

SDL provides a means to identify the app's platform, both at compile time and runtime. Get the name of the platform.

Here are the names returned for some (but not all) supported platforms:

- "Windows"
- "macOS"
- "Linux"
- "iOS"
- "Android"

Returns
  the name of the platform. If the correct platform name is not available, returns a string beginning with the text "Unknown".

Since
  This function is available since SDL 3.2.0.